Latin America and Caribbean

Ya se encuentra disponible EZproxy 5.4.1

 

La solución de acceso y autenticación líder de la comunidad bibliotecaria ha sido mejorada nuevamente.

Se habían informado algunos problemas que ya están resueltos en la versión EZproxy 5.4.1 actualmente disponible. Las correcciones de la versión 5.4.1 de EZproxy incluyen:

  • EZproxy ahora se reinicia correctamente con la función de reinicio en las plataformas de Windows.
  • Ahora se crea el archivo IPC (denominado ezproxy.ipc) en las plataformas de Windows. Esto resuelve la posibilidad de que se inicien varias instancias de EZproxy en un servidor desde el mismo directorio.
  • Shibboleth con grupos ahora está completando la autenticación, en lugar de presentarse con logup.htm.
  • Corrección: El límite en la cantidad de entradas de includeFile se cambió accidentalmente a uno mucho menor que en la versión V5.4. Los límites establecidos en la V5.4.1 son 4096 archivos de inclusión admitidos a una profundidad permitida de hasta 64 inclusiones anidadas - archivos de inclusión con otro enunciado de inclusión.
  • Cambio: Si se reinicia EZproxy y existe un archivo IPC, EZproxy ahora emitirá un mensaje donde se le sugiere que puede borrar este archivo si sabe que EZproxy no está funcionando actualmente. Antes de este cambio, EZproxy no se iniciaba ni generaba un mensaje relacionado.

Problemas que se prevé corregir en la versión EZproxy 5.5 próximamente este año:

  • El operador de concatenación de cadenas se interpreta como un carácter que corresponde a la constante de texto cercana y no como un operador de concatenación. Si detecta este problema, la solución es insertar un espacio alrededor del operador. Por ejemplo, esta sintaxis:

    UserFile("groups/" . login:instNumber.".txt")

    funciona, mientras que

    UserFile("groups/".login:instNumber.".txt")

    no funciona.
  • Cuando los usuarios se autentican por medio de Shibboleth 1.3, cada autenticación genera el mensaje: "SAMLResponse no encrypted Assertion elements" en el archivo messages.txt. Este mensaje puede ignorarse y será eliminado.
  • EZproxy no funciona con la versión 2.3 de Shibboleth IdP (en ninguno de nuestros sistemas operativos admitidos). Sabemos dónde está el problema y estamos implementando un cambio para resolverlo.

Otras notas:

  • Algunos sitios están informando que la autenticación de Shibboleth no funciona con EZproxy V5.3 en el sistema operativo Solaris. Hemos verificado que la versión EZproxy V5.4.1 para Solaris funciona con nuestro IdP de prueba. Tenga en cuenta que el problema con la versión de Shibboleth IdP superior a la V2.3 se aplica también a la versión de EZproxy para Solaris.
  • Se registró el mensaje "SAML received assertion without a status of success, denying access" con un error al autenticarse con Shibboleth. Este problema existe desde la versión V5.1d y ha sido informado ante las instituciones de la UK Access Federation. OCLC está investigando este problema y lanzará una actualización de EZproxy o describirá un método de configuración para resolver este problema a la brevedad.

Le recomendamos que realice la actualización a EZproxy 5.4.1 para estar al día con las últimas funciones. Analice la página de mejoras y actualícelo lo antes posible.

Ya está disponible el servicio alojado de EZproxy

Ya está disponible una versión alojada de EZproxy. Las bibliotecas que se suscriben a la versión alojada, reciben la actualización de manera automática y sin inconvenientes, con cada lanzamiento nuevo del servicio. Además, disfrutan de asistencia las 24 horas del día, los 7 días de la semana, los 365 días del año, para la autenticación de contenido electrónico fuera del establecimiento, sin necesidad de servidores ni infraestructura de TI. La versión alojada de EZproxy está actualmente disponible en EE. UU. y se planea que haya mayor disponibilidad en el futuro.

Envíe un mensaje a EZproxy [AT] oclc.org para solicitar una cotización del servicio alojado para su institución y asista al próximo seminario Web de EZproxy, programado por el 17 de agosto de 2011 y obtenga respuesta a todas sus preguntas sobre la versión 5.4 y la manera en que la versión alojada podría funcionar para su biblioteca.